.view[name='checkout'] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}
.view[name='checkout'] > .signInUpOverlay {
    position: fixed;
    left: 0;
    right: 0;
    z-index: 400;
    animation: opacity 0.4s ease;
    display: none;
}
.view[name='checkout'] > .signInUpOverlay.active {
    opacity: 1;
    display: block;
}
.view[name='checkout'] > .header {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 64px;
}
.view[name='checkout'] > .header > .side:first-child > .button {
    padding: 20px;
}
.view[name='checkout'] > .header > .side:first-child > .button > img {
    display: block;
    height: 24px;
}
.view[name='checkout'] > .header > .center {
    display: inline-block;
    height: 100%;
    text-align: center;
}
.view[name='checkout'] > .header > .center > div {
    font-size: 18px;
    font-weight: bold;
    padding-top: 18px;
}
.view[name='checkout'] > .header > .side:last-child > .button {
    padding: 19.5px 16px;
    font-size: 16px;
    font-weight: 600;
}
.view[name='checkout'] > .content {
    position: absolute;
    top: 64px;
    right: 0;
    bottom: 0px;
    left: 0;
    padding: 24px;
    overflow-y: auto;
    margin-right: auto;
    margin-left: auto;
}
.view[name='checkout'] > .content > .requestDetails {
    margin-bottom: 32px;
}
.view[name='checkout'] > .content > .requestDetails > .title {
    font-weight: 600;
    font-size: 16px;
    margin-bottom: 16px;
}
.view[name='checkout'] > .content > .requestDetails > .title > span {
    font-weight: 600;
    font-size: 16px;
}
.view[name='checkout'] > .content > .requestDetails > .title > .button {
    display: inline-block;
    vertical-align: middle;
    padding: 4px;
    border-radius: 8px;
}
.view[name='checkout'] > .content > .requestDetails > .title > .button > img {
    width: 16px;
    height: 16px;
    display: block;
}
.view[name='checkout'] > .content > .requestDetails > .tableWrapper {
    padding-bottom: 16px;
}
.view[name='checkout'] > .content > .requestDetails > .tableWrapper > .fTable > .content > table > thead > tr > th {
    padding-bottom: 20px;
    pointer-events: none;
}
.view[name='checkout'] > .content > .requestDetails > .tableWrapper > .fTable > .content > table > thead > tr > th[key='raceStartsAt'],
.view[name='checkout'] > .content > .requestDetails > .tableWrapper > .fTable > .content > table > tbody > tr > td[key='raceStartsAt'] {
    display: none;
}
.view[name='checkout'] > .content > .requestDetails > .tableWrapper > .fTable > .content > table > tbody > tr > td {
    padding-bottom: 16px;
}
.view[name='checkout'] > .content > .requestDetails > .price > .withoutDiscount {
    font-size: 14px;
    text-decoration: line-through;
    font-weight: 500;
}
.view[name='checkout'] > .content > .requestDetails > .price > .total {
    font-weight: 600;
    font-size: 21px;
}
.view[name='checkout'] > .content > .coupon {
    overflow: hidden;
    margin-bottom: 32px;
}
.view[name='checkout'] > .content > .coupon > .title {
    margin-bottom: 24px;
    font-weight: 600;
}
.view[name='checkout'] > .content > .coupon > .content > .button {
    padding: 4px 8px;
    border-radius: 8px;
}
.view[name='checkout'] > .content > .coupon > .content > .button > img {
    width: 12px;
    padding-top: 6px;
    padding-bottom: 6px;
}
.view[name='checkout'] > .content > .coupon > .content > .button > .content {
    padding-top: 6px;
    padding-bottom: 6px;
    line-height: 12px;
}
.view[name='checkout'] > .content > .coupon > .content > .codes {
    padding-top: 2px;
}
.view[name='checkout'] > .content > .coupon > .content > .codes > .code {
    display: inline-table;
    position: relative;
    padding-top: 8px;
    padding-bottom: 8px;
    border-radius: 8px;
}
.view[name='checkout'] > .content > .coupon > .content > .codes > .code > .text {
    line-height: 12px;
}
.view[name='checkout'] > .content > .coupon > .content > .codes > .code > img {
    position: absolute;
    top: 2px;
    width: 24px;
    padding: 6px;
}
.view[name='checkout'] > .content > .paymentMethod {
    margin-bottom: 32px;
}
.view[name='checkout'] > .content > .paymentMethod > .title {
    font-weight: 600;
    margin-bottom: 24px;
}
.view[name='checkout'] > .content > .paymentMethod > .content > div {
    overflow: hidden;
}
.view[name='checkout'] > .content > .paymentMethod > .content > div:not(:last-child) {
    margin-bottom: 16px;
}
.view[name='checkout'] > .content > .paymentMethod > .content > div > .side:first-child > .checkBox {
    background-repeat: no-repeat;
    background-position: center;
    width: 20px;
    height: 20px;
}
.view[name='checkout'] > .content > .paymentMethod > .content > div > .side:last-child {
    width: calc(100% - 32px);
}
.view[name='checkout'] > .content > .paymentMethod > .content > .gateway > .side:last-child > div {
    margin-bottom: 8px;
}
.view[name='checkout'] > .content > .paymentMethod > .content > .gateway > .side:last-child > img {
    height: 16px;
}
.view[name='checkout'][authType='signIn'] > .content > .contract {
    display: none;
}
.view[name='checkout'] > .content > .contract {
    margin-bottom: 24px;
    overflow: hidden;
}
.view[name='checkout'] > .content > .contract > .checkBox {
    border-width: 1.5px;
    border-style: solid;
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background-repeat: no-repeat;
    background-position: center;
}
.view[name='checkout'] > .content > .contract > .text {
    width: calc(100% - 32px);
}
.view[name='checkout'] > .content > .contract > .text > span {
    text-decoration: underline;
}
.view[name='checkout'] > .content > .contract > .text > .terms,
.view[name='checkout'] > .content > .contract > .text > .privacy {
    text-decoration: underline;
}
.view[name='checkout'] > .content > .button {
    font-weight: 600;
    text-align: center;
    border-radius: 16px;
    font-size: 16px;
    padding: 16px;
}

#panel[ids='pay'] {
    padding: 0;
    z-index: 2010;
}
#panel[ids='pay'] > .content,
#panel[ids='pay'] > .content > iframe {
    width: 100%;
    height: 100%;
}
#panel[ids='pay'] > .content > iframe {
    border: 0;
}
#panel[ids='signInUpCheckout'] {
    width: 320px;
    padding: 24px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
}
#panel[ids='signInUpCheckout'] > .content > .imageWrapper {
    padding: 12px;
    display: inline-block;
    margin-right: auto;
    margin-bottom: 6px;
    margin-left: auto;
    border-radius: 8px;
}
#panel[ids='signInUpCheckout'] > .content > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='signInUpCheckout'] > .content > .title {
    margin-bottom: 8px;
    font-weight: 700;
    font-size: 18px;
    text-align: center;
}
#panel[ids='signInUpCheckout'] > .content > .description {
    margin-bottom: 20px;
    font-weight: 500;
    opacity: 0.7;
    font-size: 12px;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper {
    margin-bottom: 20px;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields {
    overflow: hidden;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > .message {
    clear: both;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > label {
    display: none;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field:not([key='phone']) > input {
    width: 100%;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > input {
    padding: 12px 16px;
    border-radius: 12px;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > input::placeholder {
    font-size: 13px;
    font-weight: 500;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field[key='phone'] > .input {
    width: 74px;
    border-radius: 12px;
    padding: 14px 12px;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field[key='phone'] > input {
    width: calc(100% - 82px);
    margin-bottom: 12px;
}
#panel[ids='signInUpCheckout'][authType='signIn'] > .content > .formWrapper > .fForm > .fields > .field[key='first'],
#panel[ids='signInUpCheckout'][authType='signIn'] > .content > .formWrapper > .fForm > .fields > .field[key='last'],
#panel[ids='signInUpCheckout'][authType='signIn'] > .content > .contract {
    display: none;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field[key='first'],
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field[key='last'] {
    width: calc(50% - 4px);
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > .message {
    line-height: 22px;
}
#panel[ids='signInUpCheckout'] > .content > .formWrapper > .fForm > .fields > .field > .message > div:first-child {
    margin-top: -8px;
}
#panel[ids='signInUpCheckout'] > .content > .contract {
    margin-bottom: 20px;
    overflow: hidden;
}
#panel[ids='signInUpCheckout'] > .content > .contract > .checkBox {
    border-width: 1.5px;
    border-style: solid;
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background-repeat: no-repeat;
    background-position: center;
    margin-top: 8px;
}
#panel[ids='signInUpCheckout'] > .content > .contract > .text {
    width: calc(100% - 32px);
    font-weight: 500;
    font-size: 12px;
}
#panel[ids='signInUpCheckout'] > .content > .contract > .text > .terms,
#panel[ids='signInUpCheckout'] > .content > .contract > .text > .privacy {
    text-decoration: underline;
}
#panel[ids='signInUpCheckout'] > .content > .button {
    padding: 16px;
    border-radius: 12px;
    font-weight: 700;
}

@media (max-width: 799px) {
    .view[name='checkout'] {
        width: 100%;
    }
}
@media (min-width: 800px) {
    .view[name='checkout'] {
        width: 480px;
    }
}